Bug 207062 - pre-editing state problem on Hangul in nautilus
pre-editing state problem on Hangul in nautilus
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
Blocks: 208798
  Show dependency treegraph
Reported: 2006-09-18 21:21 EDT by Jong Bae KO
Modified: 2008-05-06 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jong Bae KO 2006-09-18 21:21:34 EDT
Description of problem:
When you type Hangul, Last pre-editing letter doesn't included in a file name or
folder name with left-click action.(It is working with Enter key)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open nautilus and run scim-hangul
2. activate scim- hangul
3. make new folder or file
4. type "gksrmf" in Korean "한글"
5. click the left-click on the window 

Actual results:

Expected results:

Additional info:
I tested with oowriter. They save the pre-edit state letter on file name as well
when I save the file.
Comment 1 sangu 2006-09-18 23:56:00 EDT
The Component of bug 207602 is wrong. 
nautilus doens't use gtk+ package, and gtk+ package is extras.

And this problme doesn't happen in my linux box.

Comment 2 Matthias Clasen 2006-09-19 00:37:20 EDT
Jong Bae, is this happening in a n icon view, or a list view ?
Comment 3 Jong Bae KO 2006-09-19 01:02:05 EDT
Hi Matthias

This bug happen in both, but if you type Hangul and then click on white place
(empty space) in the list view on natilus, the pre-editing state is stopped so
It works fine.
However, when you type Hangul, and then click other folders or files, it has the
same problem.

Main problem is pre-editing state.
Comment 4 sangu 2006-09-19 01:03:35 EDT
Sorry, my mistake.
Clicking left button on preedit state,preedit -> commit works well in a icon view
,but bug 207062 happens in a list view.
Comment 5 Matthias Clasen 2006-09-19 14:03:49 EDT
Jong Bae, do you see this problem with other applications too, e.g. gedit ?
Comment 6 Jong Bae KO 2006-09-20 21:15:40 EDT
No. gedit is fine. I tested with gedit, and It contained pre-edit state's letter
as well in both file name and document.
Comment 7 Matthias Clasen 2006-09-21 09:49:36 EDT
Ok, then it is probably an eeleditablelabel problem
Comment 8 Jong Bae KO 2006-09-25 02:12:01 EDT
The bug is produced in gnome desktop as well
Comment 9 Alexander Larsson 2006-09-25 05:00:49 EDT
"Clicking left button on preedit state,preedit -> commit works well in a icon
view, but bug 207062 happens in a list view."

Did you actually mean this, or did you mean the bug happens in the icon view?
Comment 10 Jong Bae KO 2006-09-25 21:02:42 EDT
He means that it happened in the list view only. 
However, In my test, It happened both(list view and icon view).
Comment 12 Akira TAGOH 2006-09-28 03:09:08 EDT
I also tested. this happens on both. so I guess there are still similar issue
like Bug#203865?
Comment 13 Jong Bae KO 2006-09-28 03:12:48 EDT
Yes. still pre-editing state is not stable in nautilus.
Comment 14 Alexander Larsson 2006-09-28 03:39:43 EDT
If it happens on both then it could be a gtk+ issue too. The edit widget for
icon views is EelEditableLabel, but for the tree/list view we use a normal
GtkTreeView + GtkEntry.
Comment 15 Alexander Larsson 2006-10-02 04:42:38 EDT
I was unable to reproduce this in the icon view. However, i was able to
reproduce it in the list view and in the "Tree View -> Editable Cells" example
gtk-demo, so this seems to be a Tree View bug. When the editable widget is
removed and its value saved we don't flush the preedit state (or whatever needs
Comment 16 Matthias Clasen 2006-10-17 09:25:47 EDT
there is no way to "flush preedit state" in the GtkIMContext api. the user is
responsible for committing all outstanding preedit state before dismissing the
editable widget.
Comment 17 Bug Zapper 2008-04-03 14:15:37 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 18 Bug Zapper 2008-05-06 20:51:47 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.